Package io.vertx.rxjava3.ext.web.handler.graphql.ws

## Class Message

- java.lang.Object
- - io.vertx.rxjava3.ext.web.handler.graphql.ws.Message

-     public class Message
      extends Object

  A GraphQL over WebSocket Protocol message.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Message>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Message​(Message delegate)` |
    `Message​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `connectionParams()` |
    `boolean` | `equals​(Object o)` |
    `Message` | `getDelegate()` |
    `int` | `hashCode()` |
    `JsonObject` | `message()` |
    `static Message` | `newInstance​(Message arg)` |
    `ServerWebSocket` | `socket()` |
    `String` | `toString()` |
    `MessageType` | `type()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Message> __TYPE_ARG

  - ### Constructor Detail

    - #### Message

          public Message​(Message delegate)

    - #### Message

          public Message​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Message getDelegate()

    - #### socket

          public ServerWebSocket socket()

      Returns:
        the websocket that received the message

    - #### type

          public MessageType type()

      Returns:
        the message type

    - #### message

          public JsonObject message()

      Returns:
        the message content

    - #### connectionParams

          public Object connectionParams()

      Returns:
        the connection params

    - #### newInstance

          public static Message newInstance​(Message arg)